POST Agents/User/GetAllDataRights
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/User/GetAllDataRights
Get a list of all data rights for the given role, filtered by relation to owner.
MDO List name = 'DataRights', extra='roleType=0'. NsApiSlow threshold: 2000 ms.
Online Restricted: ## The User agent is not available in Online by default. User management is not allowed for partner apps.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/User/GetAllDataRights?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
RoleId, RelationToOwner
| Property Name | Type | Description |
|---|---|---|
| RoleId | Integer | |
| RelationToOwner | String |
Response:object
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: object
Sample request
No sample available
Sample response
No sample available